# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit fabd4602b3223666165c76c397644a081b9a97e5
    parent b331da550b290d54592b7ba11242c92f5a303a48
    Author: Quentin Rameau <quinq@fifth.space>
    Date:   Wed, 12 Jul 2017 00:24:51 +0200

    Do not obfuscate what make is doing.

    Change some styling too while we're at it.

    Diffstat:
    MMakefile | 58+++++++++++++++++++++++++---------------------------------
    Mconfig.mk | 16++++++++--------

    2 files changed, 33 insertions(+), 41 deletions(-)
    diff --git a/Makefile b/Makefile
    @@ -1,63 +1,55 @@
     # st - simple terminal
     # See LICENSE file for copyright and license details.
    +.POSIX:

     include config.mk

     SRC = st.c x.c
    -OBJ = ${SRC:.c=.o}
    +OBJ = $(SRC:.c=.o)

     all: options st

     options:
     	@echo st build options:
    -	@echo "CFLAGS   = ${CFLAGS}"
    -	@echo "LDFLAGS  = ${LDFLAGS}"
    -	@echo "CC       = ${CC}"
    +	@echo "CFLAGS  = $(CFLAGS)"
    +	@echo "LDFLAGS = $(LDFLAGS)"
    +	@echo "CC      = $(CC)"

     config.h:
     	cp config.def.h config.h

     .c.o:
    -	@echo CC $<
    -	@${CC} -c ${CFLAGS} $<
    +	$(CC) $(CFLAGS) -c $<

     st.o: config.h st.h win.h
     x.o: arg.h st.h win.h

    -${OBJ}: config.h config.mk
    +$(OBJ): config.h config.mk

    -st: ${OBJ}
    -	@echo CC -o $@
    -	@${CC} -o $@ ${OBJ} ${LDFLAGS}
    +st: $(OBJ)
    +	$(CC) $(LDFLAGS) -o $@ $(OBJ)

     clean:
    -	@echo cleaning
    -	@rm -f st ${OBJ} st-${VERSION}.tar.gz
    +	rm -f st $(OBJ) st-$(VERSION).tar.gz

     dist: clean
    -	@echo creating dist tarball
    -	@mkdir -p st-${VERSION}
    -	@cp -R LICENSE Makefile README config.mk config.def.h st.info st.1 arg.h ${SRC} st-${VERSION}
    -	@tar -cf st-${VERSION}.tar st-${VERSION}
    -	@gzip st-${VERSION}.tar
    -	@rm -rf st-${VERSION}
    -
    -install: all
    -	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
    -	@mkdir -p ${DESTDIR}${PREFIX}/bin
    -	@cp -f st ${DESTDIR}${PREFIX}/bin
    -	@chmod 755 ${DESTDIR}${PREFIX}/bin/st
    -	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
    -	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
    -	@sed "s/VERSION/${VERSION}/g" < st.1 > ${DESTDIR}${MANPREFIX}/man1/st.1
    -	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/st.1
    +	mkdir -p st-$(VERSION)
    +	cp -R LICENSE Makefile README config.mk config.def.h st.info st.1 arg.h $(SRC) st-$(VERSION)
    +	tar -cf - st-$(VERSION) | gzip > st-$(VERSION).tar.gz
    +	rm -rf st-$(VERSION)
    +
    +install: st
    +	mkdir -p $(DESTDIR)$(PREFIX)/bin
    +	cp -f st $(DESTDIR)$(PREFIX)/bin
    +	chmod 755 $(DESTDIR)$(PREFIX)/bin/st
    +	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
    +	sed "s/VERSION/$(VERSION)/g" < st.1 > $(DESTDIR)$(MANPREFIX)/man1/st.1
    +	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/st.1
    +	tic -sx st.info
     	@echo Please see the README file regarding the terminfo entry of st.
    -	@tic -sx st.info

     uninstall:
    -	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
    -	@rm -f ${DESTDIR}${PREFIX}/bin/st
    -	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
    -	@rm -f ${DESTDIR}${MANPREFIX}/man1/st.1
    +	rm -f $(DESTDIR)$(PREFIX)/bin/st
    +	rm -f $(DESTDIR)$(MANPREFIX)/man1/st.1

     .PHONY: all options clean dist install uninstall
    diff --git a/config.mk b/config.mk
    @@ -5,24 +5,24 @@ VERSION = 0.7

     # paths
     PREFIX = /usr/local
    -MANPREFIX = ${PREFIX}/share/man
    +MANPREFIX = $(PREFIX)/share/man

     X11INC = /usr/X11R6/include
     X11LIB = /usr/X11R6/lib

     # includes and libs
    -INCS = -I. -I/usr/include -I${X11INC} \
    +INCS = -I$(X11INC) \
            `pkg-config --cflags fontconfig` \
            `pkg-config --cflags freetype2`
    -LIBS = -L/usr/lib -lc -L${X11LIB} -lm -lrt -lX11 -lutil -lXft \
    -       `pkg-config --libs fontconfig`  \
    +LIBS = -L$(X11LIB) -lm -lrt -lX11 -lutil -lXft \
    +       `pkg-config --libs fontconfig` \
            `pkg-config --libs freetype2`

     # flags
    -CPPFLAGS = -DVERSION=\"${VERSION}\" -D_XOPEN_SOURCE=600
    -CFLAGS += -g -std=c99 -pedantic -Wall -Wvariadic-macros -Os ${INCS} ${CPPFLAGS}
    -LDFLAGS += -g ${LIBS}
    +CPPFLAGS = -DVERSION=\"$(VERSION)\" -D_XOPEN_SOURCE=600
    +CFLAGS = -g -std=c99 -pedantic -Wall -Wvariadic-macros -Os $(INCS) $(CPPFLAGS)
    +LDFLAGS = -g $(LIBS)

     # compiler and linker
    -# CC = cc
    +# CC = c99